##

##

Revision History
Revision $Revision: 1881$ | n.n. | n.n.
Revision $Revision: 2438 $: 1881 | 2007-11-22 | kost

Avhengig av operativsystemet du har, vil du som oftast starte GIMP ved å trykke på eit ikon på skrivebordet eller ved å skrive gimp på ei kommandolinje. Har du fleire utgåver av GIMP liggjande i maskinen din, må du kanskje skrive gimp-2.4 eller noe liknande for å få opp den siste versjonen. Du kan, dersom det er ønskjeleg, skrive ei liste over biletfiler på kommandolinja etter programnamnet. Desse bileta vil så bli opna automatisk av GIMP. Sjølvsagt kan du også opne filer frå GIMP medan programmet arbeider.

I dei fleste operativsystema kan du tilordne biletfiler slik at dei blir opna i GIMP når du dobbeltklikkar fila eller filikonet.

###

GIMP kan brukast på fleire plattformer, operativsystem, enn noe anna biletbehandlingsprogram. Til nå er GIMP prøvd ut på desse plattformene:

GNU/Linux, Apple Mac OS X, Microsoft Windows, OpenBSD, NetBSD, FreeBSD, Solaris, SunOS, AIX, HP-UX, Tru64, Digital UNIX, OSF/1, IRIX, OS/2 og BeOS.

Sidan GIMP har opne kjeldekoder, er det enkelt å tilpassa programmet til andre operativsystem. Du kan finne meir om dette på denne Internettadressa: [GIMP-DEV].

###

Til vanleg vil GIMP automatisk finne ut kva språk systemet bruker og tilpassa seg dette. Dette stemmer ikkje heilt når det gjeld norsk. Generell språkkode for norsk er “no”. Bokmål har koden “nb” og nynorsk “nn”. Bokmålsversjonen er lagt inn på “nb” og “no”. Nynorsk vil bli lagt inn på “nn”.

Hjelpsidene finst bare på nynorsk, og har fått språkkoden “no”. (Dette etter diskusjon med dokumentasjonsteamet for GIMP). Dersom du ikkje får opp hjelp på norsk, vil det som oftast vere nok å døype om fila `no` i mappa `GIMP-2.0/share/2.0/help/no` til `nb` eller `nn` etter kva språk maskinen din er sett opp med. Skulle ikkje dette vere nok, må du be om hjelp eller kikke innom [GIMP-no]

Det er noe av det same problemet som gjer at du finn ein del typiske bokmålsord i denne dokumentasjonen. Dette har eg ingen kontroll med. Årsak: Ein del standarduttrykk blir omsette automatisk. Ordlista som blir brukt er sett opp på bokmål for “no” og “nb”. Så ikkje legg skulda på meg når du finn “innholdsfortegnelse” eller “hjem” i desse dokumenta. Kanskje noen i Linuxmiljøet kan gjere noe med dette?

Sidan eg er inne på det, så er dei fleste faguttrykka etter tilråding frå [Skolelinux] og etter diskusjonar på [Ordsmia]. Dette for at språket i GIMP skal vere mest mogleg korrekt i høve til ulike fagtermar og i samsvar med andre program innan fri programvare (KDE, GNOME, OpenOffice.org osv).

Ønskjer du å bruke GIMP på eit anna språk enn norsk, er det enkelt å skifte:

Linux

  I LINUX: i “console mode”, skriv du `LANGUAGE=xx GIMP` eller `LANG=xx GIMP` der du bytter ut “xx” med koden for det språket du ønskjer.

Windows XP

  I WINDOWS XP: Trykk på Start-knappen og vel Kontrollpanel. Derifrå går du til /Innstillinger for region og språk/Regionale innstillinger/. Vel språk frå nedtrekkslista. Dersom du har stilt inn oppgåvelinja til å vise språk, kan du også endre dette frå oppgåvelinja.

  Dersom du ofte skifter språk, kan du lage ei batchfil. Opna Notisblokk og skriv inn følgjande (for fransk):

  set lang=fr
  cd c:\Program Files\GIMP-2.0\bin
  GIMP-2.4.exe

  Lagra fila som GIMP-FR.BAT (eller eit anna høveleg namn, men alltid med filutvidinga .BAT). Lag ein snarveg til fila på skrivebordet.

Apple Mac OS X

  Gå til System Preferences, klikk på ikonet “International” og set det ønskte språket øvst på lista.

###

Normalt treng du ikkje skrive inn argument i kommandolinja når du startar GIMP. Her er likevel ei liste over argument som frå tid til annan kan bli aktuelle. Lista er ikkje komplett. Køyrer du Unix kan du frå fram heile lista ved å køyre `man gimp` i eit terminalvindauge. Bruker du Windows, er det enklast å hoppe over heile lista og heller starte GIMP ved å klikke på GIMP-ikonet på skrivebordet.

-?, --help

  Vis ei liste over alle kommandoane

-v, --version

  Skriv kva for versjon av GIMP som er i bruk, og slutt av programmet.

--verbose

  Vis detaljerte oppstartmeldingar.

-d, --no-data

  Ikkje last inn mønsterelement, fargeovergangar, palettar eller penslar. Kan vere nyttig i ikkje-interaktive situasjonar der oppstarttida skal vere kortast råd.

-s, --no-splash

  Ikkje vis oppstartskjermen.

--session=`name`

  Bruk eit anna `sessionrc` for denne GIMP-økta. Det gjevne “session name” blir lagt til det normale “sessionrc filename”.

--gimprc=`filename`

  Bruk ei alternativ “gimprc”-fil i staden for den vanlege. “gimprc”-fila inneheld data om innstillingane dine. Kan vere nyttige når banane til programtillegga eller maskinoppsettet er endra.

-b, --batch=`commands`

  Utfør kommandosettet “non-interactively”. Kommandosettet er typisk eit skript som blir utført av ei av GIMP sine skriptutvidingar. Dersom kommandoen er `-`, vil kommandoane bli lesne frå standarinngangen.

--console-messages

  Ikkje bruk sprettoppvindauge ved varsling av feil. Skriv meldingane til konsollen i staden.

--display=`display`

  Bruk X visning (gjeld ikkje på Microsoft Windows).